FreeBSD dependencies

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

FreeBSD dependencies

Mike W.
Strangely enough, back in 2012 another guy by the name of Mike was inquiring about setting up your community edition on a FreeBSD 6.2 host (I found this old support thread hosted on SourceForge).  He mentioned that he was able to get the source compiled without errors.

Well, after following your published guides for other OSes and selecting similar packages for my FreeBSD environment, I still can't get the source code to compile for the past few days!  Understandably .debs, .rpms and .tbz packages are vastly different, but I thought I had all my dependency bases covered before attempting to compile your source on my FreeBSD 9.2 host.

It's a shot in the dark, but do you have any additional guides for those of us who use FreeBSD as their primary systems?

Thanks!
Reply | Threaded
Open this post in threaded view
|

Re: FreeBSD dependencies

Mike W.
Perhaps a more pointed question may be better.  So far I've installed the following packages, although all may not be required (please let me know):
apache-ant, postgresql92-client, postgresql92-server, postgresql-jdbc, postgresql-odbc, postgresql92-plperl, postgresql92-plpython postgresql92-contrib, ntp-devel, p5-libwww, and p5-Pg.

I also set my JAVA_HOME:
#echo $JAVA_HOME = /usr/local/openjdk7

And I set my CLASSPATH:
#echo $CLASSPATH = /usr/local/share/java/classes/postgresql.jar

But upon attempting to compile the source, I encounter the following error:
# ant compile -buildfile build.xml
...
[javac] /usr/src/wikid-server-community-3.5.0/build/src/com/wikidsystems/util/keyList.java:8: error: package sun.jdbc.odbc.ee does not exist
...

Having already set my CLASSPATH to point to the postgresql.jar file (per the suggestions of multiple online sources), I'm at a loss.

Any insight you could provide would be greatly appreciated.

Thanks,
Reply | Threaded
Open this post in threaded view
|

Re: FreeBSD dependencies

Nick Owen
Administrator
Sorry for the lack of reply.

I have no FreeBSD experience.  The server is essentially a tomcat war file(s) with postgres as the db.  It might be easier to setup tomcat for that and drop in the war files.  Much of the setup scripts and binaries would probably be more trouble than they are worth.

Nick


On Tue, Aug 5, 2014 at 10:27 AM, Mike W. [via WiKID Strong Authentication Forums] <[hidden email]> wrote:
Perhaps a more pointed question may be better.  So far I've installed the following packages, although all may not be required (please let me know):
apache-ant, postgresql92-client, postgresql92-server, postgresql-jdbc, postgresql-odbc, postgresql92-plperl, postgresql92-plpython postgresql92-contrib, ntp-devel, p5-libwww, and p5-Pg.

I also set my JAVA_HOME:
#echo $JAVA_HOME = /usr/local/openjdk7

And I set my CLASSPATH:
#echo $CLASSPATH = /usr/local/share/java/classes/postgresql.jar

But upon attempting to compile the source, I encounter the following error:
# ant compile -buildfile build.xml
...
[javac] /usr/src/wikid-server-community-3.5.0/build/src/com/wikidsystems/util/keyList.java:8: error: package sun.jdbc.odbc.ee does not exist
...

Having already set my CLASSPATH to point to the postgresql.jar file (per the suggestions of multiple online sources), I'm at a loss.

Any insight you could provide would be greatly appreciated.

Thanks,


If you reply to this email, your message will be added to the discussion below:
http://wikid-strong-authentication-forums.1491522.n2.nabble.com/FreeBSD-dependencies-tp7575088p7575089.html
To start a new topic under Support, email [hidden email]
To unsubscribe from WiKID Strong Authentication Forums, click here.
NAML



--
Nick Owen
WiKID Systems, Inc.
http://www.wikidsystems.com
Commercial/Open Source Two-Factor Authentication
http://twitter.com/wikidsystems | #wikid on freenode,net